{% load socialaccount %}

{% get_providers as socialaccount_providers %}

{% for provider in socialaccount_providers %}
  {% if provider.id == "openid" %}
    {% for brand in provider.get_brands %}
    <li>
      <a title="{{brand.name}}" 
        class="socialaccount_provider {{provider.id}} {{brand.id}}" 
        href="{% provider_login_url provider.id openid=brand.openid_url process=process %}"
        >{{brand.name}}</a>
    </li>
    {% endfor %}
  {% endif %}
  
  {% if provider.id == "google" %}
  <li>
    <a style="display: table; margin: 0.5em auto" title="Login with Google" class="btn btn-outline-dark" href="{% provider_login_url provider.id process=process scope=scope auth_params=auth_params %}" role="button" style="text-transform:none">
      <img width="20px" style="margin-bottom:3px; margin-right:5px" alt="Google sign-in" src="https://upload.wikimedia.org/wikipedia/commons/thumb/5/53/Google_%22G%22_Logo.svg/512px-Google_%22G%22_Logo.svg.png" />
      Login with Google
    </a>
  </li>
  {% else %}
  <li>
    <a title="{{provider.name}}" class="socialaccount_provider {{provider.id}}" 
      href="{% provider_login_url provider.id process=process scope=scope auth_params=auth_params %}">{{provider.name}}</a>
  </li>
  {% endif %}
{% endfor %}